:root {
    --vds-blue: #01457C;
    --vds-orange: #FF5100;
}

.bg-body-vds-blue {
    background: var(--vds-blue)
}

.bg-body-vds-orange {
    background: var(--vds-orange);
}

.border-vds-blue {
    border-color: var(--vds-blue) !important;
}

.border-vds-orange {
    border-color: var(--vds-orange) !important;
}

fieldset.legend-center legend {
    text-align: center !important;
}

.hide-asterisk .asteriskField {
    display: none;
}

.label-hide label {
    display: none;
}

.text-vds-orange {
    color: var(--vds-orange)
}

.text-vds-blue {
    color: var(--vds-blue)
}

.navbar-nav .nav-item .nav-link:hover,
.navbar-nav .nav-item .dropdown-toggle:hover {
    color: #ffffff !important;
}

.navbar-nav .nav-item {
    color: var(--vds-orange) !important;
}

a.nav-link:visited {
    color: var(--vds-orange) !important;
}

a.nav-link.show {
    color: var(--vds-orange) !important;
}

.spinner {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: opacity 0.75s, visibility 0.75s;
}

.spinner--hidden {
    opacity: 0;
    visibility: hidden;
}

.spinner::after {
    content: '';
    width: 75px;
    height: 75px;
    border-top: solid var(--vds-blue);
    border-bottom: solid var(--vds-orange);
    border-radius: 50%;
    animation: spinning 1.23s ease infinite;
}

@keyframes spinning {
    from {
        transform: rotate(0turn)
    }
    to {
        transform: rotate(1turn)
    }
}

@keyframes flyRight {
    from {
        transform: translateX(-100%); /* Start from fully left off the screen */
    }
    to {
        transform: translateX(100vw); /* End at the full width of the viewport */
    }
}

.flying {
    position: absolute;
    animation: flyRight 3s linear forwards; /* Adjust time as needed */
}
